Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 158683

Summary: CAN-2005-1704 Integer overflow in gdb
Product: [Retired] Fedora Legacy Reporter: Josh Bressers <bressers>
Component: gdbAssignee: Jan Kratochvil <jan.kratochvil>
Status: CLOSED CANTFIX QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: fc3CC: cagney, jan.kratochvil, jjohnstn, mattdm
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20050525,reported=20050504,source=vendorsec
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-04-10 19:14:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Josh Bressers 2005-05-24 20:03:43 UTC
+++ This bug was initially created as a clone of Bug #158680 +++

Integer overflow in the BFD library for gdb before 6.3 allows
attackers to execute arbitrary code via a crafted object file that
specifies a large number of section headers, leading to a heap-based
buffer overflow.


More information is available in the gentoo bug:
http://bugs.gentoo.org/show_bug.cgi?id=91398

Comment 1 Matthew Miller 2006-07-10 22:58:09 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Matthew Miller 2006-10-23 12:41:37 UTC
This is a security issue.

Comment 3 Matthew Miller 2007-04-10 19:14:01 UTC
Fedora Core 3 is now completely unmaintained. These bugs can't be fixed in that
version. If the issue still persists in current Fedora Core, please reopen.
Thank you, and sorry about this.